maas-proxy logrotate permission denied

Bug #1377964 reported by David Britton on 2014-10-06
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Unassigned
maas (Ubuntu)
Undecided
Unassigned

Bug Description

maas-proxy log rotate permission denied error:

WARNING: Cannot write log file: /var/log/maas/proxy/cache.log
/var/log/maas/proxy/cache.log: Permission denied
         messages will be sent to 'stderr'.
2014/10/05 06:35:04| storeDirWriteCleanLogs: Starting...
2014/10/05 06:35:04| WARNING: Closing open FD 3
2014/10/05 06:35:04| Finished. Wrote 114 entries.
2014/10/05 06:35:04| Took 0.00 seconds (256179.78 entries/sec).
2014/10/05 06:35:04| logfileRotate: stdio:/var/log/maas/proxy/store.log
2014/10/05 06:35:04| Rotate log file stdio:/var/log/maas/proxy/store.log
2014/10/05 06:35:04| ERROR: logfileRotate: stdio:/var/log/maas/proxy/store.log: (13) Permission denied
2014/10/05 06:35:04| Closing HTTP port 0.0.0.0:3128
2014/10/05 06:35:04| Closing HTTP port [::]:8000
2014/10/05 06:35:04| storeDirWriteCleanLogs: Starting...
2014/10/05 06:35:04| Finished. Wrote 114 entries.
2014/10/05 06:35:04| Took 0.01 seconds (9346.56 entries/sec).
FATAL: Cannot open stdio:/var/log/maas/proxy/store.log: (13) Permission denied
Squid Cache (Version 3.3.8): Terminated abnormally.
CPU Usage: 61.693 seconds = 34.517 user + 27.176 sys
Maximum Resident Size: 595600 KB
Page faults with physical i/o: 0
Memory usage for squid via mallinfo():
        total space in arena: 130816 KB
        Ordinary blocks: 129289 KB 51 blks
        Small blocks: 0 KB 1 blks
        Holding blocks: 38944 KB 9 blks
        Free Small blocks: 0 KB
        Free Ordinary blocks: 1526 KB
        Total in use: 168233 KB 129%
        Total free: 1526 KB 1%

Related branches

Adam Collard (adam-collard) wrote :

The implication of this error is that Squid is not running and blocks Juju deploys (package installs).

tags: added: cloud-installer landscape
Raphaël Badin (rvb) on 2014-10-07
Changed in maas:
importance: Undecided → Critical
status: New → Triaged
Raphaël Badin (rvb) wrote :

Fixed as of revision 311 in packaging.

Changed in maas:
status: Triaged → Invalid
Christian Reis (kiko) on 2014-10-08
Changed in maas:
status: Invalid → Fix Committed
Changed in maas (Ubuntu):
status: New → Fix Committed
Changed in maas:
status: Fix Committed → Invalid
JuanJo Ciarlante (jjo) wrote :

Also affected by this issue: 1.7rc1 (upgraded from 1.5.2) at /var/log/syslog:
Nov 6 06:25:01 duck squid3: Cannot open stdio:/var/log/maas/proxy/store.log: (13) Permission denied

Christian Reis (kiko) on 2014-11-06
Changed in maas (Ubuntu):
status: Fix Committed → Confirmed
Changed in maas (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.7.0+bzr3299-0ubuntu2

---------------
maas (1.7.0+bzr3299-0ubuntu2) vivid; urgency=medium

  * debian/maas-common.postinst: Ensure that the maas user gets its home
    directory created in /var/lib/maas. (LP: #1399016)
 -- Andres Rodriguez <email address hidden> Thu, 04 Dec 2014 12:24:18 -0500

Changed in maas (Ubuntu):
status: Fix Committed → Fix Released

Hello David, or anyone else affected,

Accepted maas into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maas/1.7.5+bzr3369-0ubuntu1~14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Andres Rodriguez (andreserl) wrote :

This issue has been verified to work both on upgrade and fresh install, and has been QA'd. Marking verification-done.

tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers